import { Injectable } from '@angular/core';
import { AttachmentsService } from '../attachments.service';
import { EventsService } from '../events.service';
import { PermissionService } from '../worker/permission.service';



@Injectable({
  providedIn: 'root'
})
export class EventService {

  constructor(
    private eventService: EventsService,
    public p: PermissionService,
    private attachmentsService: AttachmentsService,
  ) { }


  create({body, calendar}) {
    

    if(this.p.userRole(['PR'])) {
      return this.eventService.postEventPr(body, calendar)
    } else {
      return this.eventService.postEventMd(body, calendar)
    }

  }

  addAttachment(attachment: addAttachment) {
    return this.attachmentsService.setEventAttachmentById(attachment)
  }

}
